ALSA project - the C library reference: snd_pcm_extplug_callback_t Struct Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_pcm_extplug_callback_t Struct Reference
External PCM plugin SDK » External Filter plugin SDK

`#include <pcm_extplug.h>`

## Data Fields
snd_pcm_sframes_t(* | transfer )(snd_pcm_extplug_t *ext, const snd_pcm_channel_area_t *dst_areas, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t *src_areas, snd_pcm_uframes_t src_offset, snd_pcm_uframes_t size)
int(* | close )(snd_pcm_extplug_t *ext)
int(* | hw_params )(snd_pcm_extplug_t *ext, snd_pcm_hw_params_t *params)
int(* | hw_free )(snd_pcm_extplug_t *ext)
void(* | dump )(snd_pcm_extplug_t *ext, snd_output_t *out)
int(* | init )(snd_pcm_extplug_t *ext)
snd_pcm_chmap_query_t **(* | query_chmaps )(snd_pcm_extplug_t *ext)
snd_pcm_chmap_t *(* | get_chmap )(snd_pcm_extplug_t *ext)
int(* | set_chmap )(snd_pcm_extplug_t *ext, const snd_pcm_chmap_t *map)

## Detailed Description

Callback table of extplug

## Field Documentation

## ◆ close

int(* snd_pcm_extplug_callback_t::close) (snd_pcm_extplug_t *ext)

close the PCM; optional

## ◆ dump

void(* snd_pcm_extplug_callback_t::dump) (snd_pcm_extplug_t *ext, snd_output_t *out)

dump; optional

## ◆ get_chmap

snd_pcm_chmap_t *(* snd_pcm_extplug_callback_t::get_chmap) (snd_pcm_extplug_t *ext)

get the channel map; optional; since v1.0.2

## ◆ hw_free

int(* snd_pcm_extplug_callback_t::hw_free) (snd_pcm_extplug_t *ext)

hw_free; optional

## ◆ hw_params

int(* snd_pcm_extplug_callback_t::hw_params) (snd_pcm_extplug_t *ext, snd_pcm_hw_params_t *params)

hw_params; optional

## ◆ init

int(* snd_pcm_extplug_callback_t::init) (snd_pcm_extplug_t *ext)

init; optional initialization called at prepare or reset

## ◆ query_chmaps

snd_pcm_chmap_query_t **(* snd_pcm_extplug_callback_t::query_chmaps) (snd_pcm_extplug_t *ext)

query the channel maps; optional; since v1.0.2

## ◆ set_chmap

int(* snd_pcm_extplug_callback_t::set_chmap) (snd_pcm_extplug_t *ext, const snd_pcm_chmap_t *map)

set the channel map; optional; since v1.0.2

## ◆ transfer

snd_pcm_sframes_t(* snd_pcm_extplug_callback_t::transfer) (snd_pcm_extplug_t *ext, const snd_pcm_channel_area_t *dst_areas, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t *src_areas, snd_pcm_uframes_t src_offset, snd_pcm_uframes_t size)

transfer between source and destination; this is a required callback

The documentation for this struct was generated from the following file:

- /tmp/work/src/alsa-lib-1.2.12/include/pcm_extplug.h